## man-db 2.3.16-4

=== debian/changelog ===
man-db (2.3.16-4) stable; urgency=high

  * Backport another security fix from unstable.
  * Count how many times privileges have been dropped, and don't regain them
    until regain_effective_privs() is called the same number of times. The
    lack of nesting meant it was still possible to create files owned by uid
    man (thanks, Luki R.; closes: #99624).

 -- Colin Watson <cjwatson@debian.org>  Fri,  1 Jun 2001 23:50:31 +0000

man-db (2.3.16-3) stable; urgency=high

  * The last upload regained privileges too early; an attacker could
    potentially remove execute permissions from files owned by man. My
    apologies for not detecting this earlier.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Apr 2001 19:53:05 +0000

man-db (2.3.16-2) stable; urgency=high

  * Security upload by new maintainer.
  * Drop privileges in mandb when creating a temporary database in a
    user-supplied manual hierarchy. Thanks to Ethan Benson for observing
    this vulnerability.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Apr 2001 23:10:24 +0100

man-db (2.3.16-1.1) stable; urgency=high

  * Non-maintainer upload by Security Team
  * Fixed unquoted throughpassing of format strings that could crash man

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu,  8 Feb 2001 23:27:53 +0100

man-db (2.3.16-1) frozen unstable; urgency=high

  * Applyed patch submitted by Javier Fernandez-Sanguino Pena to permit
    search of trnlated manpages before giving the first english one
    found. Closes: #61697.
  * Forgot the ignore dash in tags target in debian/rules, which made it
    adding a non necessary source dependance.  Closes: #61199.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 22 Mar 2000 16:00:16 +0200

man-db (2.3.15) frozen unstable; urgency=high

  * Just recompiled, with an upgraded potato system.
    Let's see if this wipes away the grave installation problem listed
    in bugs #60339, #60399, #60411, #60515.
    In that case, I'll close these bugs by hand :-)

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 22 Mar 2000 16:00:16 +0200

man-db (2.3.14) frozen unstable; urgency=high

  * if unconfigured, it install binaries setuid root!
    also closes: #32213.
  * Forgot to put different md5sum for man and mandb in md5sums file.
    debsums was failing on them as they were modifyed by postinst.
    Closes: #59677, #60023 thanx to Lee Maguire.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon,  6 Mar 2000 12:35:35 +0200

man-db (2.3.13) frozen unstable; urgency=low

  * Applied patch to avoid disappearing of index file during
    regeneration. Thanx to Colin Phipps, closes: #58887.
  * Applied patch to generate secure temporary file in straycat.
    Thanx to Colin Phipps, closes: #58900.

 -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 28 Feb 2000 22:09:05 +0200

man-db (2.3.12) frozen unstable; urgency=low

  * Applied security patch for forcing regeneration of secure temp file
    instead of reusing it. Thanx to Colin Phipps who audited it and
    submitted a patch. Closes: #58271.
  * Written new wrapper in C. It installs as /usr/bin/wrapper and is
    hardlinked to man and mandb while configuring. The package installs
    a one line script (as /usr/bin/man and /usr/bin/mandb) that simply
    inform that the package is not configured; it is removed by postinst
    and replaced by hardlinks with /usr/bin/wrapper.
    Thanx to Ethan Benson, Colin Phipps.
  * Simply incremented minor number, to make Josip Rodin happy.
    Not only it is a native Debian package, but is is also a "new
    upstream release"(TM)  :-)  (and yes, I've changed the version
    number also in configure.in :-)
  * Added explicit proto in straycat.c as now libc has canonicalize_file_name().

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 22 Feb 2000 16:41:33 +0200

man-db (2.3.10-71) frozen unstable; urgency=low

  * after exaustive discussion of debian-devel, the wrapper script has
    been fixed. Thanx to Ethan Benson, Marcus Brinkman, Petr Cech.
    Closes #57566.
  * added double dependency to groff or jgroff.
  * added updated cs po file and a small fix to avoid a warning, thanx
    to the precious contribution of Vladimir Michl.

 -- Fabrizio Polacco <fpolacco@debian.org>  Tue,  8 Feb 2000 17:01:36 +0200

man-db (2.3.10-70) frozen unstable; urgency=low

  * security fix: moved setuid binaries to /usr/lib/man-db and added
    shell wrapper to execute as user nobody when invoked by root.
    This would avoid having anybody running man as root, or cron running
    mandb.
  * Added more granularity in the "quietness" of mandb, and added option
    test to simply check the correctness of manpages, to allow lintian
    and/or dh_install_manpages to report warnings.
  * fixed a typo in spanish message catalog.
    Thanx to Jose Dapena Paz, closes: #56204.
  * added (but not enabled) new option -H (-Thtml) to take advantage of
    new html driver (still experimental but getting better) in groff.
  * as a consequence, added versioned dependency to groff >= 1.15
  * corrected location of GPL in copyright file.
  * corrected headers in po files for it and de.

 -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 14 Jan 2000 13:49:42 +0200

man-db (2.3.10-69s) unstable; urgency=low

  * added symlinks for /usr/doc (in postinst and prerm).
  * changed installation of japanes manpages to dir "ja".
  * Corrected incomplete apply of HURD patch. Closes: #48052.
  * Changed configure.in and libdb/mydbm.h to force inclusion 
    of correct db_185.h header. Thanx to Marcus Brinkmann.
  * Corrected use of setlocale in files other that man.c;
    closes: #48128, thanx to "David Huggins-Daines".
    also closes: #48495.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 16 Oct 1999 03:33:23 +0300

man-db (2.3.10-69r) unstable; urgency=low

  * Modified utility accessdb to default to FHS location of the cache.
  * Reduced verbosity of mandb when -q option is used; thanx to

