=== debian/control ===
Source: man-db
Section: doc
Priority: important
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.0.1

Package: man-db
Architecture: any
Depends: groff (>> 1.15-2) | jgroff (>> 1.15), ${shlibs:Depends}
Suggests: bsdmainutils
Provides: man, man-browser
Conflicts: man
Replaces: man, nlsutils
Description: Display the on-line manual.
 This package provides the man command. This utility is the primary
 way of examining the on-line help files (manual pages). Other utilities
 provided include the whatis and apropos commands for searching the
 manual page database, the manpath utility for determining the manual
 page search path, and the maintenance utilities mandb, catman and
 zsoelim. This package uses the groff suite of programs to format and
 display the manual pages.
