## man-db 2.5.1-3maemo3

=== debian/changelog ===
man-db (2.5.1-3maemo3) fremantle; urgency=low

  * Set manpath to /opt/man

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 12 May 2010 03:30:13 +0300

man-db (2.5.1-3maemo2) fremantle; urgency=low

  * Optified package
  * New maintainer

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 11 May 2010 22:14:30 +0300

man-db (2.5.1-3maemo1) unstable; urgency=low

  * Set am_cv_func_iconv and am_cv_func_iconv_works manually to yes
    There's no converter for EUC-JP to UTF-8 which results in broken
    config.h, if we just ignore it (we probably won't use it), we'll be
    just fine.
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 18 Aug 2008 15:09:09 +0300

man-db (2.5.1-3) unstable; urgency=low

  * Only replace manpages-de (<< 0.5-4), per Daniel Kobras.
  * Backport from upstream:
    - 'man -H' (without a browser argument) was completely broken in 2.5.1
      and is now fixed.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2008 12:35:16 +0000

man-db (2.5.1-2) unstable; urgency=low

  * Replaces: manpages-de, which provides out-of-date copies of man-db's
    manual pages for some reason (closes: #463027).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jan 2008 23:38:13 +0000

man-db (2.5.1-1) unstable; urgency=low

  * New upstream release.
    - Fix a number of problems with the localisation changes in 2.5.0.
      Notably, manual pages are converted to the proper input encoding for
      troff output as well as nroff output, and manconv's encoding fallback
      mechanism should now actually fall back as intended.
    - Add a 'man --recode' option to output a source manual page converted
      to a specified encoding. This is expected to be used by debhelper to
      install UTF-8 manual pages.
    - Fix "occured" typo in mandb(8) (thanks, Alfie Costa; closes: #446044).
    - Allow only alphanumerics and "-_/:.()" in encoding names (closes:
      #446055).
    - Enable localisation in accessdb, globbing, lexgrog, and zsoelim
      (closes: #448395).
    - Allow passing warning options to groff, either using the environment
      variable MANROFFOPT or the new 'man --warnings' option (thanks, Ivan
      Shmakov; closes: #451187).
    - Add 'man -s' as an alias for 'man -S' (closes: #458499).
    - 'man -l' guesses language based on absolute path to provided file,
      rather than relative (closes: #460014).
    - mandb sets the new file's mode to DBMODE in order to try to defend
      against strange problems with databases being left world-unreadable
      (closes: #430800).
    - Don't ignore SIGINT and SIGQUIT just because a decompression process
      is running (closes: #462276).
    - Update Russian translation (closes: #452417).
    - Add Korean support, requiring groff >= 1.18.1.1-16 (LP: #176896).
  * Policy version 3.7.3:
    - Move doc-base entry to Applications/Viewers.
  * Update debian/copyright. Due to incorporating parts of Gnulib, the
    man-db package as a whole now falls under GPLv3.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jan 2008 11:06:57 +0000

man-db (2.5.0-4) unstable; urgency=low

  * Always pass an appropriate --build= option to configure.
  * Add debconf translations:
    - Simplified Chinese (thanks, Ming Hua; closes: #447421).
    - Finnish (thanks, Esko Arajärvi; closes: #448769).
  * Update debconf translations:
    - Dutch (thanks, Bart Cornelis; closes: #447719).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Nov 2007 20:03:27 +0000

man-db (2.5.0-3) unstable; urgency=low

  * Backport from upstream (closes: #446302):
    - Fix apropos/whatis segfault with explicitly specified locale.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Oct 2007 10:29:46 +0100

man-db (2.5.0-2) unstable; urgency=low

  * Backport from upstream (closes: #446189):
    - Connect up the decompression pipeline in the display_to_stdout case
      too.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Oct 2007 00:55:11 +0100

man-db (2.5.0-1) unstable; urgency=low

  * New upstream release.
    - Remove /usr/X11R6/man from MANDATORY_MANPATH (closes: #413349).
    - man now supports the MANPAGER environment variable, overriding PAGER.
    - Resolve ambiguous error message when asking for a nonexistent manual
      page that might also be a section name (closes: #421481).
    - MANSEC -> MANSECT in German man(1) and catman(8) (closes: #430635).
    - Truncate apropos/whatis output to the terminal width by default
      (closes: #411721).
    - lexgrog now ignores alleged manual page names containing spaces, as
      these usually indicate parsing errors or ill-formed NAME sections and
      they clutter up apropos output badly.
    - Discard stderr from formatting processes when outputting to a pager,
      to avoid visual corruption from any error messages (closes: #372939).
    - Disallow sectional extensions of alphabetic sections, e.g. n and l
      from the default configuration (closes: #391977), and sectional
      extensions beginning with a digit (closes: #421481).
    - Suppress warnings in --quiet mode (closes: #348008, #378428, #411220;
      also closes: #334280 since that suggestion is no longer relevant).
    - If MAN_KEEP_FORMATTING is set in the environment, don't strip
      formatting characters with col (closes: #340673).
    - Implement and use a decompression library. This allows cat pages to be
      saved in the background while the pager is active (closes: #18452) and
      operation with a read-only /tmp (closes: #165499).
    - Add a configuration file flag (NOCACHE) to disable cat page caching
      (closes: #196642).
    - Add output keys to a hashtable, and skip any that have already been
      seen (closes: #259338).
    - Execute system utilities by command name rather than by full path
      (closes: #385651).
    - Add apropos -a/--and option to display only items matching all
      keywords (closes: #259340).

