=== debian/control ===
Source: man-db
Section: doc
Priority: important
Maintainer: Mohammad Abu-Garbeyyeh
XBSC-Original-Maintainer: maemo integration <integration@maemo.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 4.0.0), flex, gettext, groff, libgdbm-dev, zlib1g-dev

Package: man-db
Architecture: any
Depends: groff-base, debconf (>= 1.2.0) | debconf-2.0, dpkg (>= 1.9.0), libc6 (>= 2.5.0-1), libgdbm3, zlib1g (>= 1:1.2.1)
Suggests: groff, less, www-browser
Provides: man, man-browser
Conflicts: man, suidmanager (<< 0.50)
Replaces: man, nlsutils, manpages-de (<< 0.5-4)
Description: on-line manual pager
 This package provides the man command, the primary way of examining the
 on-line help files (manual pages). Other utilities provided include the
 whatis and apropos commands for searching the manual page database, the
 manpath utility for determining the manual page search path, and the
 maintenance utilities mandb, catman and zsoelim. man-db uses the groff
 suite of programs to format and display the manual pages.
