## man-db 2.5.7

=== debian/changelog ===
man-db (2.5.7-8) unstable; urgency=low

  * Avoid assertion if no path elements with manpaths were found (closes:
    #608490).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jan 2011 01:13:19 +0000

man-db (2.5.7-7) unstable; urgency=low

  * Backport from 2.5.8:
    - Warnings about unrecognised locales are now suppressed if the
      DPKG_RUNNING_VERSION environment variable is set (i.e. man-db is
      running within a Debian package's maintainer script), since the system
      locales are often out of sync with the C library in that context.
      Thanks to the Debian Perl maintainers for the idea (closes: #605790).

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 Dec 2010 13:39:38 +0000

man-db (2.5.7-6) unstable; urgency=low

  * Move po/fr.gmo aside during build so that it gets regenerated based on
    translation-fr.patch, and build-depend directly on gettext for this
    (closes: #598066).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Oct 2010 17:59:18 +0100

man-db (2.5.7-5) unstable; urgency=low

  * Use CFLAGS and LDFLAGS from hardening-includes, since man and mandb are
    optionally setuid man.
  * Update French translation from Translation Project (thanks, David
    Prévot; closes: #598621).
  * Make sure that man/po4a/po/* are kept unchanged during a
    patch/build/clean cycle.
  * Update French documentation translation from Translation Project
    (thanks, David Prévot; closes: #598066).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Oct 2010 14:44:06 +0100

man-db (2.5.7-4) unstable; urgency=low

  * Backport from trunk:
    - Fix a regression introduced in 2.5.7 when running catman in some
      locales, most notably in the C locale: while converting the output to
      UTF-8, iconv was run after the compressor rather than before it
      (closes: #593350, LP: #615045).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Aug 2010 14:54:04 +0100

man-db (2.5.7-3) unstable; urgency=low

  * Remove unused build-dependency on gettext.
  * Check for VxID as well as envID in /proc/self/status (closes: #579551).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Apr 2010 18:06:49 +0100

man-db (2.5.7-2) unstable; urgency=low

  * Add a watch file.
  * Backport from trunk:
    - Fix assertion failure on 'man -l' with an uncompressed page and
      prefixed input (no-hyphenation, no-justification, or a non-English
      page).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 10:19:25 +0000

man-db (2.5.7-1) unstable; urgency=low

  * New upstream release:
    - Make man(1) refer to the "Warnings" node in 'info groff' for a list of
      available warning names (closes: #545805).
    - Don't run tests if cross-compiling.
    - Add option to disable justification (closes: #440047).
    - Do what the user probably means when the full path to an executable is
      given as an argument (closes: #505465).
    - Search man<sec><ext> directories in the GNU layout (closes: #519807).
    - Prefer getting a page from the best manual section over getting a page
      in the correct language; I have my reservations about this, but it
      seems to be what people are requesting (closes: #519547).
    - 'man -f' and 'man -k' now pass through any -s option to apropos/whatis
      respectively.
    - All programs now support a MAN_DEBUG environment variable which can be
      used in place of the -d/--debug option. This is useful in some
      situations where a program is being called deep in a process tree.
    - Fix off-by-one error when write returns EAGAIN (thanks, Samuel
      Thibault; closes: #564818).
    - "%s: nothing appropriate." is an error; write it to stderr, not stdout
      (closes: #565255).
    - Don't bother printing error messages for SIGINT and SIGQUIT, since
      these correspond to explicit user actions (closes: #568000).
    - Fix sense of directory check while decompressing (closes: #537434).
    - Always save cat pages in UTF-8 (closes: #446741).
  * Convert to source format 3.0 (quilt).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Feb 2010 00:56:08 +0000

man-db (2.5.6-5) unstable; urgency=low

  * Remove Ubuntu buildd hack now that the Ubuntu buildd chroots preseed
    man-db/auto-update=false (thanks, LaMont Jones).
  * Backport from trunk:
    - Handle iconv errors when attempting to convert the last input encoding
      to UTF-8 (closes: #562503).
  * Unless we're cross-compiling, get dh_installman to use the version of
    man we just built.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Jan 2010 13:27:06 +0000

man-db (2.5.6-4) unstable; urgency=low

  * Backport from trunk:
    - If the locale encoding is ASCII, then use the ascii device even if
      preconv is available; it will do a better job than producing UTF-8
      output and then recoding that to ASCII (closes: #547695).
    - Include <unistd.h> in src/encodings.c for dup and STDIN_FILENO
      (closes: #553623).
    - When invoking col, ensure that LC_CTYPE is set to an appropriate
      locale for the selected character set (closes: #555331).
  * Add man-db/auto-update debconf template, which may be preseeded to false
    to disable rebuilding the database when man-db is triggered (closes:
    #554914).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Nov 2009 11:58:25 +0000

man-db (2.5.6-3) unstable; urgency=low

  * Don't try to change I/O priority in an OpenVZ container (closes:
    #546680). Approach borrowed from virt-what.
  * Backport from trunk:
    - When a source pipeline dies, make sure to drain its output before
      discarding its output file descriptor (closes: #548153).

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Sep 2009 13:38:56 +0100

man-db (2.5.6-2) unstable; urgency=low

  * Don't try to change I/O priority in a vserver (closes: #544999).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Sep 2009 23:37:01 +0100

man-db (2.5.6-1) unstable; urgency=low

  * New upstream release:

