=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: man-db
 Section: doc
 Priority: important
-Maintainer: Mohammad Abu-Garbeyyeh
-XBSC-Original-Maintainer: maemo integration <integration@maemo.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 4.0.0), flex, gettext, groff, libgdbm-dev, zlib1g-dev
+Maintainer: Colin Watson <cjwatson@debian.org>
+Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, hardening-includes, gettext
+Homepage: http://man-db.nongnu.org/
 
 Package: man-db
 Architecture: any
-Depends: groff-base, debconf (>= 1.2.0) | debconf-2.0, dpkg (>= 1.9.0), libc6 (>= 2.5.0-1), libgdbm3, zlib1g (>= 1:1.2.1)
+Depends: groff-base (>= 1.18.1.1-15), bsdmainutils, debconf (>= 1.2.0) | debconf-2.0, dpkg (>= 1.9.0), ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff, less, www-browser
 Provides: man, man-browser
 Conflicts: man, suidmanager (<< 0.50)
