## man-db 2.5.9

=== debian/changelog ===
man-db (2.5.9-4) unstable; urgency=low

  * Add debconf translations:
    - Slovak (thanks, Slavko; closes: #609347).
  * Fix test failure with groff 1.21.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Feb 2011 10:35:20 +0000

man-db (2.5.9-3) experimental; urgency=low

  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Avoid assertion if no path elements with manpaths were found (closes:
    #608490).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jan 2011 01:01:48 +0000

man-db (2.5.9-2) experimental; urgency=low

  * Fix build with 'ld --no-copy-dt-needed-entries'.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Nov 2010 14:00:08 +0000

man-db (2.5.9-1) experimental; urgency=low

  * New upstream release:
    - Fix test failures on some systems.  A change made in 2.5.8 was overly
      sensitive to directory ordering.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Nov 2010 12:00:41 +0000

man-db (2.5.8-2) experimental; urgency=low

  * Build-depend on pkg-config.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Nov 2010 13:55:02 +0000

man-db (2.5.8-1) experimental; urgency=low

  * New upstream release:
    - Explicitly set groff's hyphenation language, to ensure that it only
      hyphenates languages it knows about (closes: #570247).
    - Add support for XZ-compressed manual pages, thanks to Darren Salt
      (closes: #572233).
    - Try underscore-separated subpages as well as hyphen-separated ones,
      thanks to Tanguy Ortolo (closes: #574641).
    - Build libman and libmandb as shared libraries, considerably reducing
      executable size.
    - Warnings about unrecognised locales are now suppressed if the
      DPKG_RUNNING_VERSION environment variable is set (i.e. man-db is
      running within a Debian package's maintainer script), since the system
      locales are often out of sync with the C library in that context.
      Thanks to the Debian Perl maintainers for the idea.
    - In catman mode, never try to guess whether a page argument is a
      section, as it's too easy to get this wrong (LP: #664211).
    - mandb should no longer repeatedly rescan manual page hierarchies when
      a whatis entry turns into a broken link.
  * Use a separate build directory, eliminating the requirement to preserve
    some files by hand.
  * Build with external libpipeline.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Nov 2010 00:03:58 +0000
