=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,11 @@
 	            --with-col=col --with-vgrind=vgrind --with-grap=grap \
 	            --with-compress=compress --with-bzip2=bzip2 \
 		    --with-lzma=lzma \
-		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7' \
-		    --with-external-pipeline
+		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7'
 
-override_dh_clean:
-	dh_clean -Xxmalloc.c.orig
+override_dh_auto_install:
+	dh_auto_install
+	rm -f $(dtmp)/usr/lib/man-db/*.la
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 override_dh_installman:
