## man-db 2.6.1

=== debian/changelog ===
man-db (2.6.1-2ubuntu1) precise-proposed; urgency=low

  * Avoid fatal errors when opening a 64-bit GDBM database from a 32-bit
    process (LP: #1001189).
  * Link with -Wl,--enable-new-dtags, so that LD_LIBRARY_PATH can be used to
    override our private library directory.  (This fixes a build failure
    when attempting to build the above change.)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Nov 2012 11:57:21 +0000

man-db (2.6.1-2) unstable; urgency=low

  * Remove unused build-dependency on gettext again.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Mar 2012 01:17:50 +0100

man-db (2.6.1-1) unstable; urgency=low

  * New upstream release:
    - Translated manual pages are no longer displayed starting with a
      spurious blank line (closes: #628639).
    - Create a cache directory tag, per http://www.brynosaurus.com/cachedir/
      (closes: #637046).
    - Alphabetise "SEE ALSO" references and remove trailing full stops, per
      man-pages(7) (closes: #651482).
    - Update German manual page translations (closes: #494066, #596104,
      #624096).
  * Install FAQ.
  * Update debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Feb 2012 13:53:58 +0000

man-db (2.6.0.2-3) unstable; urgency=low

  * Discard stderr from dpkg-query in cron jobs (LP: #783903).
  * Make man-db Multi-Arch: foreign.
  * Upgrade to debhelper v9 and its new arrangements for honouring
    dpkg-buildflags output.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 01:33:33 +0000
