=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.2.3), flex, groff, libgdbm-dev, po4a, zlib1g-dev, libpipeline-dev (>= 1.1.0), hardening-includes, gettext, pkg-config
+Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 8.9.0~), flex, groff, libgdbm-dev, po4a, zlib1g-dev, libpipeline-dev (>= 1.1.0), pkg-config
 Homepage: http://man-db.nongnu.org/
 
 Package: man-db
@@ -13,6 +13,7 @@
 Provides: man, man-browser
 Conflicts: man, suidmanager (<< 0.50)
 Replaces: man, nlsutils, manpages-de (<< 0.5-4)
+Multi-Arch: foreign
 Description: on-line manual pager
  This package provides the man command, the primary way of examining the
  on-line help files (manual pages). Other utilities provided include the
