=== debian/rules ===
--- 
+++ 
@@ -7,21 +7,16 @@
 
 dtmp    = debian/man-db
 
-include /usr/share/hardening-includes/hardening.make
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+# Use DT_RUNPATH rather than DT_RPATH, so that LD_LIBRARY_PATH works properly.
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--enable-new-dtags
 
-# Cf. #497653
-ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = -O2 -g
-else
-CFLAGS = -g
-endif
-CFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS := $(HARDENING_LDFLAGS)
-
-# --libexecdir still needed due to #541458
+# --libdir and --libexecdir are set here because debhelper defaults to using
+# multiarch paths at compat level 9, which is a reasonable choice in general
+# but unnecessary here.
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- \
-		    --libexecdir=\$${libdir} \
+	dh_auto_configure -- \
+	            --libdir=\$${prefix}/lib --libexecdir=\$${libdir} \
 	            --enable-setuid --enable-undoc='man 7 undocumented' \
 	            --with-device=latin1 --enable-mb-groff \
 	            --with-config-file=/etc/manpath.config \
