=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 dtmp    = debian/man-db
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-# Use DT_RUNPATH rather than DT_RPATH, so that LD_LIBRARY_PATH works properly.
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--enable-new-dtags
 
 # --libdir and --libexecdir are set here because debhelper defaults to using
 # multiarch paths at compat level 9, which is a reasonable choice in general
@@ -23,7 +21,7 @@
 	            --with-browser=www-browser --with-pager=pager \
 	            --with-col=col --with-vgrind=vgrind --with-grap=grap \
 	            --with-compress=compress --with-bzip2=bzip2 \
-		    --with-lzma=lzma \
+		    --with-xz=xz --with-lzip=lzip --with-lzma=lzma \
 		    --with-sections='1 n l 8 3 2 3posix 3pm 3perl 5 4 9 6 7'
 
 override_dh_auto_install:
