=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/man-db/man-db-(.*)\.tar\.xz
